groovy.lang

## Class PropertyValue

- java.lang.Object
- - groovy.lang.PropertyValue

-     public class PropertyValue
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValue(java.lang.Object bean, MetaProperty mp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.Class` | `getType()`
    `java.lang.Object` | `getValue()`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyValue

          public PropertyValue(java.lang.Object bean,
                       MetaProperty mp)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getType

          public java.lang.Class getType()

    - #### getValue

          public java.lang.Object getValue()

    - #### setValue

          public void setValue(java.lang.Object value)